Skip to main content
POST
/
billing
/
upgrade
Upgrade workspace
curl --request POST \
  --url https://www.dench.com/api/v1/billing/upgrade \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "requestId": "<string>",
  "returnPath": "<string>"
}
'
{
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "details": "<unknown>"
  }
}

Authorizations

Authorization
string
header
required

Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.

Body

application/json
tier
enum<string>
Available options:
pro,
max,
cloud,
desktop,
api
billingCycle
enum<string>
Available options:
monthly,
yearly
requestId
string
returnPath
string

Internal return path beginning with /.

Response

Successful response